Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface ClassificationSchemeQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryEntryQueryType, RegistryObjectQueryType

All Known Implementing Classes:
  ClassificationSchemeQueryTypeImpl

    public interface ClassificationSchemeQueryType

extends RegistryEntryQueryType

A representation of the model object 'Classification Scheme Query Type'.

The following features are supported:

- `Classification Scheme Filter`

See Also:
  `QueryPackage.getClassificationSchemeQueryType()`

Method Summary
`FilterType` | `getClassificationSchemeFilter()` Returns the value of the 'Classification Scheme Filter' containment reference.
`void` | `setClassificationSchemeFilter(FilterType value)` Sets the value of the '`Classification Scheme Filter`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryEntryQueryType
`getRegistryEntryFilter, setRegistryEntryFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassificationSchemeFilter

    FilterType getClassificationSchemeFilter()

  Returns the value of the 'Classification Scheme Filter' containment reference.

  If the meaning of the 'Classification Scheme Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme Filter' containment reference.
  See Also:
    `setClassificationSchemeFilter(FilterType)`, `QueryPackage.getClassificationSchemeQueryType_ClassificationSchemeFilter()`

### setClassificationSchemeFilter

    void setClassificationSchemeFilter(FilterType value)

  Sets the value of the '`Classification Scheme Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Classification Scheme Filter' containment reference.
  See Also:
    `getClassificationSchemeFilter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD